%define with_maven 1
Name:          jna-posix
Version:       1.0.3
Release:       %mkrel 1
Summary:       Java POSIX emulation layer
Group:         Development/Java
URL:           http://kenai.com/projects/jna-posix
# hg export https://kenai.com/hg/jna-posix~mercurial
# tar czf jna-posix~mercurial-1.0.3-src.tar.gz jna-posix~mercurial
Source0:       jna-posix~mercurial-%{version}-src.tar.gz
Source1:       jna-posix-1.0.3-build.xml
Source2:       jna-posix-depmap
# remove wagon-webdav deps
Patch0:        jna-posix-1.0.3-pom_xml.patch
License:       CPL, GPL, LGPL
%if !%with_maven
BuildRequires: ant
BuildRequires: ant-junit
%else
BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-doxia-sitetools
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit4
%endif
BuildRequires: geronimo-jms
BuildRequires: java-devel
BuildRequires: jna
BuildRequires: junit4
BuildRequires: jpackage-utils
Requires:      jna
Requires:      jpackage-utils
BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
%{name} is a lightweight cross-platform POSIX emulation
layer for Java, written in Java and leveraging the JNA
library (https://jna.dev.java.net/).

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}

%description javadoc
Java POSIX emulation layer.

This package contains javadoc for %{name}

%prep

%setup -q -n jna-posix~mercurial
chmod -R go=u-w *

for t in LICENSE.txt README.txt; do
  iconv -f iso8859-1 -t utf-8 $t > $t.conv && mv -f $t.conv $t
  sed -i 's/\r//' $t
done

%patch0 -p0

for j in $(find . -name "*.jar"); do
  mv $j $j.no
done

%if !%with_maven
  pushd lib
    ln -sf $(build-classpath junit4) junit-4.4.jar
    ln -sf $(build-classpath jna) jna.jar
  popd
%endif

%build

%if %with_maven
  export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
  mvn-jpp \
    -e \
    -Dmaven2.jpp.depmap.file="%{SOURCE2}" \
    -Dmaven2.jpp.mode=true \
    -Dmaven.test.failure.ignore=true \
    -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
    install javadoc:javadoc
%else
  export CLASSPATH=$(build-classpath junit4 jna)
  ant jar javadoc
%endif

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

mkdir -p %{buildroot}%{_javadir}

%if %with_maven
  install -pm 644 target/jna-posix-%{version}.jar \
    %{buildroot}%{_javadir}/jna-posix-%{version}.jar
%else
  install -pm 644 dist/jna-posix.jar \
    %{buildroot}%{_javadir}/jna-posix-%{version}.jar
%endif

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_mavenpomdir}
%add_to_maven_depmap org.jruby.ext.posix jna-posix %{version} JPP jna-posix
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-jna-posix.pom

mkdir -p %{buildroot}%{_javadocdir}/jna-posix-%{version}
%if %with_maven
  cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/jna-posix-%{version}
%else
  cp -pr dist/javadoc/* %{buildroot}%{_javadocdir}/jna-posix-%{version}
%endif
ln -s jna-posix-%{version} %{buildroot}%{_javadocdir}/jna-posix

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root)
%{_javadir}/jna-posix-%{version}.jar
%{_javadir}/jna-posix.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt README.txt

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/jna-posix-%{version}
%{_javadocdir}/jna-posix



%changelog
* Sun Jun 12 2011 dmorgan <dmorgan> 1.0.3-1.mga2
+ Revision: 105196
- Package reviewed and validated

  + gil <gil>
    - imported package jna-posix


* Sat Jun 11 2011 gil <gil> 1.4.0-0.%%mkrel
- initial rpm